How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask Ashik Your Own Question

Ashik
Ashik, Mac Technician
Category: Mac
Satisfied Customers: 10074
Experience:  Bachelor of Computer Application (BCA), 9+ Years of Experience in troubleshooting Macs, iPhone, iPad, iPod etc
16433418
Type Your Mac Question Here...
Ashik is online now
A new question is answered every 9 seconds

Hello! I have OS 10.6.3 on my recently bought mac. I have

This answer was rated:

Hello!
I have OS 10.6.3 on my recently bought mac. I have itunes 10.4.1. on this computer. When i try to sync with my iphone 4 it says 'cannot sync with iphone because it requires itunes 10.1 or more'. Sorry, not computer savvy! What should i do please?
Chris George
Hi My name isXXXXX hope i can help you.

Download and install the Mac OS X 10.6.8 Combo Update from here : http://support.apple.com/kb/DL1399

After installing update, try to sync your iPhone. Let me know if that didn't worked. Only click Accept after it worked.

Best Regards,
Ashik
Customer: replied 5 years ago.
Hello. I'm afraid that didn't work. Still says same thing. "the iphone cannot be used because it requires itunes version 10.1 or later'
Trash the current version of iTunes from your Applications folder and download and install the latest version from here : http://www.apple.com/itunes/

Let me know if that didn't worked. Only click Accept after it worked.
Customer: replied 5 years ago.
Hello again Ashik. Sorry, that did not seem to work. I'm confused as to whether it is the itunes version on my iphone or the one on the computer which may be too old.
I have downloaded the mac os x 10.6.8 combo onto computer and the latest itunes 10.4.1.
Same problem. Please help! Chris
It is the computer's version. Do you have the Snow Leopard installation discs handy ?
Customer: replied 5 years ago.
Yes, right here!
We can reinstall your Mac OS X and see if that works or not. Before reinstalling trash the iTunes from your computer. Put the Mac OS X installation disc to your Mac and follow the onscreen instructions to reinstall your Mac OS X. Let me know if that didn't worked. Only click Accept after it worked.

Best Regards,
Ashik
Customer: replied 5 years ago.
Hello! So, I trashed itunes and I've now reinstalled snow leopard. Just to check, is the next step to download latest itunes on computer and then try to connect iphone 4 to computer? Thanks, Chris
Install combo updater...Then install latest iTunes and see if it works or not.
Ashik and 4 other Mac Specialists are ready to help you
Customer: replied 5 years ago.
Thanks. It worked!
Great ! I'm glad you got it worked !